# coding=utf-8
from __future__ import unicode_literals, print_function, absolute_import


class SchedulableQueue(object):

    def __init__(self, overflow_size):
        self.__overflow_size = int(overflow_size)
        self.__partition_element_map = {}
        self.__element_partition_map = {}

    def enqueue(self, partition, element):
        raise NotImplementedError

    def dequeue_many(self, max_count):
        raise NotImplementedError

    def dequeue_overflow(self):
        raise NotImplementedError
